<?php

class Migration_20250103051107_alter_tbl_visitors
{
    public static function up(PDO $pdo)
    {
        $sql = "
            ALTER TABLE visitors MODIFY Column creator_type ENUM('admin','user','multi') NOT NULL
        ";

        $pdo->exec($sql);

        $sql1 = "
            ALTER TABLE vendors MODIFY Column creator_type ENUM('admin','user','multi') NOT NULL
        ";

        $pdo->exec($sql1);
    }

    public static function down(PDO $pdo)
    {
        $sql = "
            ALTER TABLE visitors MODIFY Column creator_type ENUM('admin','user') NOT NULL;
            ALTER TABLE vendors MODIFY Column creator_type ENUM('admin','user') NOT NULL;
        ";

        $pdo->exec($sql);
    }
}